using System;
using System.Linq;
using System.Runtime.InteropServices;

namespace Frilenseri
{
    class Program
    {
        static void ulaz(ref double a, ref double b)
        {
            string[] s = Console.ReadLine().Split();
            a = double.Parse(s[0]);
            b = double.Parse(s[1]);
        }
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            double[] zarada = new double [n];
            double[] porez = new double[n];
            double suma = 0;
            for (int i = 0; i < n; i++)
            {
                ulaz( ref zarada[i], ref porez[i]);
                suma += zarada[i];
            }
            double suma1 = suma;
            double[] ZaradaDrzave = new double[n];
            double porez1 = 0;
            for (int i = 0; i < n; i++)
            {
                porez1 = porez[i];
                for (int j = 0; j < n; j++)
                {
                    if(porez[j]<porez1)
                    {
                        suma -= zarada[j];
                    }
                }
                ZaradaDrzave[i] = suma * porez1 / 100;
                suma = suma1;
            }
            double NajvecaZaradaDrzave = ZaradaDrzave.Max();
            Console.WriteLine(NajvecaZaradaDrzave);
        }
    }
}